Bug 1115295 - improve input mode toggle menu
Summary: improve input mode toggle menu
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-02 07:18 UTC by Jens Petersen
Modified: 2016-07-19 20:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:05:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2014-07-02 07:18:37 UTC
Description of problem:
The Pinyin IMEs has a confusing toggle menu for switching
between Chinese and English input ("English" should also really be
Latin input but nevermind).  This natural in the toolbar
but unintuitive in the IME/Input menu.

Steps to Reproduce:
1. goto ibus icon menu or gnome input menu
2. click on Chinese

Actual results:
switches to English

Expected results:
clearer discoverable UI

Additional info:
maybe "Chinese <-> English" and "English <-> Chinese" might be clearer?

Much better would be IME input mode icon of course...

Comment 1 Peng Wu 2014-07-15 06:38:52 UTC
Maybe we can change the English label, but keep Chinese translation un-changed.

Comment 2 Jens Petersen 2014-07-15 08:04:50 UTC
I think it would be better to fix the underlying UI problem.

Comment 3 Jaroslav Reznik 2015-03-03 16:05:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 20:05:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.